dcm2niix (1:1.0.20240202-1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 25 Apr 2024 17:25:48 -0400

dcm2niix (1:1.0.20240202-1) neurodebian; urgency=medium

  * Recentish upstream release
  * debian/patches: updated and one dropped (upstreamed)
  * debian/rules:
    - updated cmake invocation to point to System versions of the libraries

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Apr 2024 16:30:07 -0400

dcm2niix (1:1.0.20220720-1) neurodebian; urgency=medium

  * Fresh upstream release. Patches refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Aug 2022 15:58:27 -0400

dcm2niix (1:1.0.20211006-1) neurodebian; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Oct 2021 13:53:28 -0400

dcm2niix (1.0.20210317+git207-g66a4fd0-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from v1.0.20200427-207-g66a4fd0 at
    v1.0.20200427-207-g66a4fd0
    - since it is just a devel stage, regression tests are doomed to fail,
      thus failure is ignored

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Aug 2021 14:07:25 -0400

dcm2niix (1:1.0.20210317-1) neurodebian; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Apr 2021 08:37:28 -0400

dcm2niix (1.0.20201102+git97-g0587941-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from v1.0.20200427-97-g0587941 at
    v1.0.20200427-97-g0587941

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Dec 2020 13:15:59 -0500

dcm2niix (1:1.0.20201102-1) neurodebian; urgency=medium

  * Recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Dec 2020 18:08:10 -0500

dcm2niix (1:1.0.20200427-1) neurodebian; urgency=medium

  * Fresh non-official release from development branch, which should
    address regression of having some functional scans from Philips
    being split into multiple files. See https://github.com/rordenlab/dcm2niix/issues/395

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Apr 2020 22:45:10 -0400

dcm2niix (1:1.0.20200331-1) neurodebian; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Apr 2020 15:39:11 -0400

dcm2niix (1:1.0.20190902-1) neurodebian; urgency=medium

  * New upstream release
  * debian/patches/up_batch_setx - refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Oct 2019 20:19:55 -0400

dcm2niix (1:1.0.20190720-1) neurodebian; urgency=medium

  * Fresh stable upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Aug 2019 10:23:20 -0400

dcm2niix (1:1.0.20190410-1~nd1) neurodebian; urgency=medium

  * Fresh upstream release
    - more testing datasets (dcm_qa*) - might want to start excluding them
      from source tarball and relying on fetching during (neurodebian)
      package build time

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Apr 2019 16:05:44 -0400

dcm2niix (1:1.0.20181125-1~nd2) neurodebian; urgency=medium

  * Enable OpenJPEG back (on amd64 only) as we ran into the case with
    JPEG2000 images which otherwise cannot be handled.  On i386 it
    still segfaults during tests so openjpeg is enabled only on amd64

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Jan 2019 11:40:24 -0500

dcm2niix (1:1.0.20181125-1~nd1) neurodebian; urgency=medium

  * Fresh upstream release with many fixes and enhancements
  * debian/copyright
    - updated years, removed unused Apache 2.0, and included a few
      entries based on info in Debian-Med packaging
  * debian/patches
    - removed -dsc-patch for elderly EOLed Ubuntu releases
  * debian/control
    - fix Vcs- fields to point to https://github.com/neurodebian/dcm2niix
  * debian/{rules,run_tests}
    - run tests under all dcm_qa* directories now
    - use host_arch "internal" variable instead of DEB_HOST_ARCH
  * debian/source/lintian-overrides
    - do not warn about *-dsc-patch files not be included in series
    - do not complain about public-domain in copyright since it is a
      known keyword

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Dec 2018 15:56:05 -0500

dcm2niix (1:1.0.20180622-1) neurodebian; urgency=medium

  * Fresh upstream bugfix release
    - addresses a bug with a small subset of Philips Enhanced DICOM
      DTI datasets

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2018 22:17:55 -0400

dcm2niix (1:1.0.20180614-1) neurodebian; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Jun 2018 08:41:25 +0800

dcm2niix (1:1.0.20180404+git118-g3762cc0-1) UNRELEASED; urgency=medium

  * Fresh upstream pre-release snapshot
  * debian/
    - rules - enable USE_JPEGLS support for JPEG-LS transfer syntax
      (on systems with recent g++)
    - patches/
      - deb_usepkgconfig_find_yaml to use pkgconfig to locate yaml-cpp

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jun 2018 12:57:38 -0700

dcm2niix (1:1.0.20171215+git34-gb641a58-1) neurodebian; urgency=medium

  * New upstream snapshot
    - addresses some defects/test failures on i386
  * debian/
    - disable openjpeg support - results for JPEG2000 might be inconsistent
      and this is a strategy which was recommended by upstream to mitigate
      failing tests etc.
  * debian/patches/up_pass_CFLAGS_superbuild, debian/rules
    - set C*_FLAGS to -mmmx -msse -msse2 -mfpmath=sse to guarantee the same
      precision on x86 platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Apr 2018 09:21:42 -0400

dcm2niix (1:1.0.20171215+git31-gca911aa-1) UNRELEASED; urgency=medium

  * New upstream snapshot from v1.0.20171215-31
  * debian/
    - gbp.conf - include git submodules into .orig.tar.gz (dcm_qa)
    - run tests under dcm_qa using built dcm2niix

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Apr 2018 19:24:25 -0400

dcm2niix (1:1.0.20171215+git8-g82b9210-1) neurodebian; urgency=medium

  * Fresh upstream snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Jan 2018 23:40:39 -0500

dcm2niix (1:1.0.20171017+git3-g9ccc4c0-1) neurodebian; urgency=medium

  * Fresh upstream snapshot
    - should better support exporting sidecar information in multiband
      sequences

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Nov 2017 11:06:24 -0400

dcm2niix (1:1.0.20170923+git2-gb68d409-1) neurodebian; urgency=medium

  * New upstream release with post release fixes/workarounds

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Sep 2017 16:28:48 -0400

dcm2niix (1:1.0.20170818+git8-gdd1d994-1) neurodebian; urgency=medium

  * New upstream snapshot from v1.0.20170818-8-gdd1d994
  * debian/patches/jessie-dsc-patch adjusted and linked to be applied on zesty
    as well

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Aug 2017 11:11:00 -0400

dcm2niix (1:1.0.20170724+git3-gab68e44-1) neurodebian; urgency=medium

  * Fresh post-release snapshot
    - all errors go now to stderr instead of stdout

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Aug 2017 11:54:31 -0400

dcm2niix (1:1.0.20170624+git8-g87d2142-1) neurodebian; urgency=medium

  * New upstream snapshot from v1.0.20170624-8-g87d2142
  * Build with -DUSE_OPENJPEG=ON so that it passes qa tests
    - added libopenjp2-7-dev to Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Jul 2017 10:11:02 -0400

dcm2niix (1:1.0.20170624-1) neurodebian; urgency=medium

  * Minor bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Jun 2017 16:32:13 -0700

dcm2niix (1:1.0.20170623-1) neurodebian; urgency=medium

  * Fixes up issue with SliceTiming not being reported

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Jun 2017 10:33:06 -0700

dcm2niix (1:1.0.20170621-1) neurodebian; urgency=medium

  * New upstream release
    - better sanitarization of Dates in the json side-cars
    - estimation of "TotalReadoutTime" etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Jun 2017 09:57:01 -0400

dcm2niix (1:1.0.20170403-1) neurodebian; urgency=medium

  * New upstream release.
  * Build against TurboJPEG.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Apr 2017 09:10:34 +0200

dcm2niix (1:1.0.20170130-2) neurodebian; urgency=medium

  * debian/control
    - Updated Homepage to point to github repo
  * debian/rules
    - enable building dcm2niixbatch. Also added libyaml-cpp-dev bdependency
      (and libboost-dev which it needs but not installs on older 
      debian/ubuntus)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Apr 2017 14:31:56 -0400

dcm2niix (1:1.0.20170130-1) neurodebian; urgency=medium

  * Introduced 1: epoch version prefix to conform to current upstream
    version format
  * Fresh release should resolve issues with json output

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Jan 2017 12:48:10 -0500

dcm2niix (20161101+git66-g672f4d2-1) neurodebian; urgency=medium

  * New upstream snapshot -- various bug fixes (handling of non-existing
    output directory, json output, etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2017 12:45:53 -0500

dcm2niix (20160921+git16-g0339407-1) neurodebian; urgency=medium

  * New upstream snapshot from 20160921-16-g0339407
    - now will fail if output directory is N/A
    - various minor fixups

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Oct 2016 10:15:54 -0400

dcm2niix (20160921-1) neurodebian; urgency=medium

  * Fresh upstream release
    + Support 3D lossless JPEG saved as multiple fragments
  * Switching to upstream versioning scheme (by release date)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Sep 2016 08:17:42 -0400

dcm2niix (0.20160606.1+git51-g615d612-1) neurodebian; urgency=medium

  * Fresh upstream snapshot which addresses the concern of use of
    non-initialized fields in the NIfTI headers See
    https://github.com/neurolabusc/dcm2niix/issues/45 for more info

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Sep 2016 10:29:01 -0400

dcm2niix (0.20160606.1+git22-gf6471c0-1) neurodebian; urgency=medium

  * New upstream snapshot (not officially "released")

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jul 2016 16:14:11 -0400

dcm2niix (0.20160606.1+git1-gf6ba376-1) neurodebian; urgency=medium

  * New upstream snapshot from 20160606-1-gf6ba376 with BIDS support

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 Jun 2016 10:43:01 -0400

dcm2niix (0.20150909.1+git1-g8914c07-1) neurodebian; urgency=medium

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Sun, 27 Sep 2015 10:23:35 +0200
